import matplotlib.pyplot as plt
import networkx as nx

fig, axs = plt.subplots(1, 1, figsize=(10, 10))
ax = axs

G=nx.karate_club_graph()
pos = None

for node, data in G.nodes(data=True):
    if data['club'] == 'Mr. Hi':
        data['color'] = 'purple'
    else:
        data['color'] = 'orange'

for n, data in G.nodes(data=True):
    data['size'] = len(G.neighbors(n))

mpld3.plugins.connect(fig,  NetworkXD3ForceLayout(G,
                                                  pos,
                                                  ax,
                                                  gravity=.5,
                                                  link_distance=20,
                                                  charge=-600,
                                                  friction=1
                                                 )
                     )
